SND_PCM_LIB_GET_VMAL(9)

NAME
snd_pcm_lib_get_vmalloc_page - map vmalloc buffer offset to page struct

SYNOPSIS

struct page * snd_pcm_lib_get_vmalloc_page(struct snd_pcm_substream * substream, unsigned long offset);

ARGUMENTS

substream
    the substream with a buffer allocated by snd_pcm_lib_alloc_vmalloc_buffer

offset
    offset in the buffer

DESCRIPTION

This function is to be used as the page callback in the PCM ops.

RETURN

The page struct, or NULL on failure.

COPYRIGHT